
/* 
 * Source name     : tut_cprog.c
 * Executable name : tut_cprog
 * Version         : 1.0
 * Created date    : 9/18/03
 * Last update     : 9/18/03
 * Author          : Jason Fritts
 * Description     : Basic template for C programs
 * 
 * Build using this command:
 *   gcc -01 -m32 tut_cprog.c -o tut_cprog
 */

#include <stdio.h>
#include "input.h"


#define MIN_ELEMENTS	1
#define MAX_ELEMENTS	1000000


unsigned int	n;
unsigned int	num_set[MAX_ELEMENTS];
unsigned int	i;


int main ()
{
    /* Get n from user at stdin */
    n = get_number (MIN_ELEMENTS, MAX_ELEMENTS);

    /* Determine n elements in set */
    for (i = 0; i < n; i += 1)
    {
	num_set[i] = 3 * (i + 1);
    }

    /* Print out n elements of number pattern */
    printf ("\nDisplaying %d elements of pattern:\n    ", n);

    for (i = 0; i < n; i++)
	printf ("%d ", num_set[i]);

    printf ("\n");
}

